<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateSrstReq StructType
 * @subpackage Structs
 */
class UpdateSrstReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The port
     * Meta information extracted from the WSDL
     * - default: 2000
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $port;
    /**
     * The ipAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $ipAddress;
    /**
     * The SipNetwork
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $SipNetwork;
    /**
     * The SipPort
     * Meta information extracted from the WSDL
     * - default: 5060
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $SipPort;
    /**
     * The isSecure
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isSecure;
    /**
     * Constructor method for UpdateSrstReq
     * @uses UpdateSrstReq::setNewName()
     * @uses UpdateSrstReq::setPort()
     * @uses UpdateSrstReq::setIpAddress()
     * @uses UpdateSrstReq::setSipNetwork()
     * @uses UpdateSrstReq::setSipPort()
     * @uses UpdateSrstReq::setIsSecure()
     * @param string $newName
     * @param string $port
     * @param string $ipAddress
     * @param string $sipNetwork
     * @param string $sipPort
     * @param string $isSecure
     */
    public function __construct($newName = null, $port = '2000', $ipAddress = null, $sipNetwork = null, $sipPort = '5060', $isSecure = null)
    {
        $this
            ->setNewName($newName)
            ->setPort($port)
            ->setIpAddress($ipAddress)
            ->setSipNetwork($sipNetwork)
            ->setSipPort($sipPort)
            ->setIsSecure($isSecure);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateSrstReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get port value
     * @return string|null
     */
    public function getPort()
    {
        return $this->port;
    }
    /**
     * Set port value
     * @param string $port
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateSrstReq
     */
    public function setPort($port = '2000')
    {
        $this->port = $port;
        return $this;
    }
    /**
     * Get ipAddress value
     * @return string|null
     */
    public function getIpAddress()
    {
        return $this->ipAddress;
    }
    /**
     * Set ipAddress value
     * @param string $ipAddress
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateSrstReq
     */
    public function setIpAddress($ipAddress = null)
    {
        $this->ipAddress = $ipAddress;
        return $this;
    }
    /**
     * Get SipNetwork value
     * @return string|null
     */
    public function getSipNetwork()
    {
        return $this->SipNetwork;
    }
    /**
     * Set SipNetwork value
     * @param string $sipNetwork
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateSrstReq
     */
    public function setSipNetwork($sipNetwork = null)
    {
        $this->SipNetwork = $sipNetwork;
        return $this;
    }
    /**
     * Get SipPort value
     * @return string|null
     */
    public function getSipPort()
    {
        return $this->SipPort;
    }
    /**
     * Set SipPort value
     * @param string $sipPort
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateSrstReq
     */
    public function setSipPort($sipPort = '5060')
    {
        $this->SipPort = $sipPort;
        return $this;
    }
    /**
     * Get isSecure value
     * @return string|null
     */
    public function getIsSecure()
    {
        return $this->isSecure;
    }
    /**
     * Set isSecure value
     * @param string $isSecure
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateSrstReq
     */
    public function setIsSecure($isSecure = null)
    {
        $this->isSecure = $isSecure;
        return $this;
    }
}
